﻿using UnityEngine;
using System.Collections;

public class Character : MonoBehaviour 
{
	public float movementSpeed = 5.0f;
	
	private Animator animator;

	// Use this for initialization
	void Start () 
	{
		animator = GetComponent<Animator>();
	}
	
	// Update is called once per frame
	void Update () 
	{
		float frameInput = Input.GetAxis("Horizontal");
		
		if(frameInput != 0)
		{
			animator.SetTrigger("Walk");

			//Hack being put in to keep the animation the same
			//size as the idle sprite
			//transform.localScale = new Vector3(2.0f, 2.0f, 2.0f);

			Vector3 scale = transform.localScale;

			
			if(frameInput > 0 && scale.x < 0 || frameInput < 0 && scale.x > 0)
			{
				scale.x = scale.x * -1.0f;
				transform.localScale = scale;
			}
				

			transform.Translate(frameInput * movementSpeed * Time.deltaTime, 0.0f, 0.0f);
		}
		else
		{
			animator.SetTrigger("Idle");
			
			//Hack being put in to keep the animation the same
			//size as the idle sprite
			//transform.localScale = new Vector3(3.0f, 3.0f, 3.0f);
		}

	}
}
