﻿using UnityEngine;
 using UnityEngine.SceneManagement;
using System.Collections;

public class Manager : MonoBehaviour 
{
	public float timer = 1.0f;

	AudioSource bk_audio;

	public Character player;

	public Trigger CogAward;
	public Vector3 CogAwardSpawnLocation;

	public Trigger  DarkBook;
	public Vector3 DarkBookSpawnLocation;
	public Trigger  Fissure;
	public Vector3 FissureSpawnLocation;
	public Trigger  Monster;
	public Vector3 MonsterSpawnLocation;

	public EatHeart eat;
	public Vector3 EatSpawn;


	public Trigger      Roses;
	public Vector3 RosesSpawnLocation;
	public Trigger      Flower;
	public Vector3 FlowerSpawnLocation;
	public Trigger      Woman;
	public Vector3 WomanSpawnLocation;

	private float _totalMiliseconds;
	
	private string _activeClothes = "WorkClothes";
	public void SetActiveClothes(string clothing) { _activeClothes = clothing; }
	public string GetActiveClothes() { return _activeClothes; }
	

	private int _cogHitCount = 0;
	private int _cogNoHits = 0;
	private bool _cogHitThisRound = false;
	public void AddCogCount() 
	{ 
		++_cogHitCount; 
		_cogHitThisRound = true;
	}

	private int _loveHitCount = 0;
	private int _loveNoHits = 0;
	private bool _loveHitThisRound = false;
	public void AddLoveCount() 
	{ 
		++_loveHitCount; 
		_loveHitThisRound = true;
	}

	private	int _darkHitCount = 0;
	private int _darkNoHits = 0;
	private bool _darkHitThisRound = false;
	public void AddDarkCount() 
	{ 
		++_darkHitCount; 
		_darkHitThisRound = true;
	}

	// Use this for initialization
	void Start () 
	{
		//60 = 60 seconds in a minute. 
		//100 = 100 miliseconds in a second.
		_totalMiliseconds = timer * 60 * 100;

		//Instantiate(darkBook, DarkBookSpawnLocation, Quaternion.identity);
	}

	private void _ResetScene()
	{
		//Check for no hits this round
		if(_cogHitThisRound == false) { ++_cogNoHits; }

		if(_loveHitThisRound == false) { ++_loveNoHits; }

		if(_darkHitThisRound == false) { ++_darkNoHits; }

		//Reset Hit this round counters
		_cogHitThisRound = false;
		_loveHitThisRound = false;
		_darkHitThisRound = false;

		//Check for no hits for 2 rounds. Reset if true
		if(_cogNoHits == 2 && _cogHitCount >= 0)
		{
			_cogHitCount = 0;
			_cogNoHits = 0;
		}

		if(_loveNoHits == 2 && _loveHitCount >= 0)
		{
			_loveHitCount = 0;
			_loveNoHits = 0;
		}

		if(_darkNoHits == 2 && _darkHitCount >= 0)
		{
			_darkHitCount = 0;
			_darkNoHits = 0;
		}

		//Set active clothing based on hits
		if(_cogHitCount >= 3) {	_activeClothes = "CogClothes"; }

		if(_loveHitCount >= 2){ _activeClothes = "DateClothes"; }

		if(_darkHitCount >= 1){ _activeClothes = "DarkClothes"; }


		//=====Set active props=====
		//Cog
		if(_cogHitCount == 2) { Instantiate(CogAward, CogAwardSpawnLocation, Quaternion.identity); }

		//Love
		if(_loveHitCount == 1) { Instantiate(Flower, FlowerSpawnLocation, Quaternion.identity); }

		if(_loveHitCount == 2) { Instantiate(Roses, RosesSpawnLocation, Quaternion.identity); }

		if(_loveHitCount == 3) { Instantiate(Woman, WomanSpawnLocation, Quaternion.identity); }

		//Dark
		if(_darkHitCount == 1) { Instantiate(DarkBook, DarkBookSpawnLocation, Quaternion.identity); }

		if(_darkHitCount == 2) { Instantiate(Fissure, FissureSpawnLocation, Quaternion.identity); }

		if(_darkHitCount == 3) { Instantiate(Monster, MonsterSpawnLocation, Quaternion.identity); }

		if(_darkHitCount == 4) { Instantiate(eat, EatSpawn, Quaternion.identity);}


		//Reset Player Location and wakeup
		player.transform.position = new Vector3(-36.0f, 0.0f, 0.0f);
		Animator animator = player.GetComponent<Animator>();
		animator.SetTrigger("Restart");

		//Reset Counter 
		_totalMiliseconds = timer * 60 * 100;

		//Reset Triggers

		//Debug.Log(_cogHitCount);
		//Debug.Log(_darkHitCount);
		//Debug.Log(_loveHitCount);

	}
	
	// Update is called once per frame
	void Update () 
	{
		_totalMiliseconds -= Time.deltaTime * 100.0f;
		//Debug.Log(_totalMiliseconds);
		//Check timer
		if(_totalMiliseconds <= 0) { _ResetScene(); }

	}//update

	public void EndDay() { _ResetScene(); }
}
